#!/bin/bash

#
# installMyEnv
#

PHPINSTALLER=`dirname $(readlink -f $0)`"/phpInstaller.php"

PHP=`which php`
ret=$?

if [ $ret -ne 0 ] ; then
  rc=1
  echo "ERROR: Cannot find PHP."
  exit $rc
fi

echo "PHP is installed on $PHP"

echo "Starting phpInstaller: $PHPINSTALLER"
cmd="$PHP -f $PHPINSTALLER"
if [ $DEBUG ] ; then
  echo $cmd
fi
$cmd
rc=$?

if [ $DEBUG ] ; then
  echo $rc
fi
exit $rc
