function showMyEnvStatus()
{
  cd $MYENV_BASE
  $MYENV_BASE/bin/showMyEnvStatus.php
  cd - >/dev/null
}

function setMyEnv()
{
  tmp=/tmp/myEnv.$$
  cd $MYENV_BASE
  $MYENV_BASE/bin/setMyEnv.php $tmp $1
  . $tmp
  #/bin/cat $tmp
  rm $tmp
  cd - >/dev/null
}

function restart()
{
  $MYENV_BASE/bin/database.php $MYENV_DATABASE restart
}

function start()
{
  $MYENV_BASE/bin/database.php $MYENV_DATABASE start
}

function stop()
{
  $MYENV_BASE/bin/database.php $MYENV_DATABASE stop
}

function time_on()
{
  export PS1='\u@\h:\w [${MYENV_DATABASE}, ${MYSQL_TCP_PORT}, `date "+%H:%M:%S.%N" | cut -b -12`]> '
}

function time_off()
{
  export PS1='\u@\h:\w [${MYENV_DATABASE}, ${MYSQL_TCP_PORT}]> '
}

setMyEnv

alias up='showMyEnvStatus'
alias u='showMyEnvStatus'
alias ll='ls -l'

time_off
up
